Bug 136615 - Denials with httpd
Denials with httpd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 04:06 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 05:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-10-21 04:06:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041016
Firefox/0.10.1

Description of problem:
I *just* relabeled with fixfiles relabel. 

[root@cobra home]# /etc/init.d/httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd:                                            [  OK  ]
[root@cobra home]# dmesg
audit(1098345983.066:0): avc:  denied  { unlink } for  pid=4262
exe=/usr/sbin/httpd name=httpd.pid dev=dm-0 ino=1168378
scontext=user_u:system_r:httpd_t tcontext=user_u:object_r:file_t
tclass=file
audit(1098345984.422:0): avc:  denied  { search } for  pid=9814
exe=/usr/sbin/httpd name=nscd dev=dm-0 ino=146399
scontext=root:system_r:httpd_t
tcontext=system_u:object_r:nscd_var_run_t tclass=dir
[root@cobra home]# dmesg|audit2allow -l
allow httpd_t file_t:file { unlink };
allow httpd_t nscd_var_run_t:dir { search };
[root@cobra home]#

Permissive mode, targeted policy.


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.2

How reproducible:
Always

Steps to Reproduce:
1. See comments


Additional info:
Comment 1 Ivan Gyurdiev 2004-10-21 05:07:11 EDT
Closing - I can't reproduce with the current kernel.
Sorry I was using an old kernel because NVIDIA has been broken 
since .541. It's so unstable too - crashes all the time.

Note You need to log in before you can comment on or make changes to this bug.